php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #14589 PHP4.1 module and cgi-bin programs
Submitted: 2001-12-18 16:08 UTC Modified: 2002-04-12 20:27 UTC
Votes:6
Avg. Score:5.0 ± 0.0
Reproduced:6 of 6 (100.0%)
Same Version:2 (33.3%)
Same OS:2 (33.3%)
From: jacobc at chiefarchitect dot com Assigned:
Status: Closed Package: Apache2 related
PHP Version: 4.1.0 OS: Linux 2.4.10/gcc 3.0
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: jacobc at chiefarchitect dot com
New email:
PHP Version: OS:

 

 [2001-12-18 16:08 UTC] jacobc at chiefarchitect dot com
(this may be related to bug 14556)



Output from my phpinfo():



'./configure' '--with-apxs2=/usr/local/apache/bin/apxs' '--with-openssl=/usr/local/ssl' '--with-zlib=/usr/local' '--with-mcrypt=/usr/local' '--with-mysql=/usr/local/mysql' '--with-ncurses' '--with-pdflib=/usr/local' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr/local' '--with-tiff-dir=/usr/local'



I added the filter directive in my httpd.conf file:

<Filter *.php>

SetOutputFilter PHP

SetInputFilter PHP

</Filter>



When I run apach2 all cgi-bin programs generate "Premature end of script headers" error, until I comment out the <Filter> and 'LoadModule php4_module modules/libphp4.so', then everything works again.



Jacob Cord

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-02-11 21:20 UTC] nrosier at netscape dot net
Encountering the same problem with PHP 4.1.1 on Solaris 8 with Apache 2.0.28. I used to run PHP 4.2.0 (devel) which had no problems but I can't find the source to that one anymore.
 [2002-04-12 20:27 UTC] sniper@php.net
Please update to PHP 4.2.0RC3 (from http://www.php.net/~derick/) or try latest CVS snapshot from
http://snaps.php.net/ as there have been quite a few fixes
lately.  Reopen if you still have the same problems with the latest PHP. (and of course, Apache 2.0.35)

 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Aug 02 23:01:23 2021 UTC